# module RSS::Atom::DateConstruct

`Element` used to describe an `Atom` date and time in the ISO 8601 format

Examples:

- 2013-03-04T15:30:02Z

- 2013-03-04T10:30:02-05:00

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/atom.rb, line 230
    def self.append_features(klass)
      super
      klass.class_eval do
        @content_type = :w3cdtf
        include(ContentModel)
      end
    end

### Public Instance Methods

atom_validate(ignore_unknown_element, tags, uri) click to toggle source

Raises `NotAvailableValueError` if element content is nil

    # File lib/rss/atom.rb, line 239
    def atom_validate(ignore_unknown_element, tags, uri)
      raise NotAvailableValueError.new(tag_name, "") if content.nil?
    end